> For the complete documentation index, see [llms.txt](https://docs.bytenite.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bytenite.com/launch-with-bytenite/data-sources/http.md).

# HTTP

## Introduction

You can fetch files directly from a public URL pointing to the raw resource, which is especially useful for utilizing temporary access URLs generated by cloud storage providers not integrated with ByteNite.&#x20;

Keep in mind that an HTTP source serves solely as a data origin, meaning it cannot be used as a data destination. This ensures that data fetched via HTTP can be read and processed, but not directly modified or uploaded back through this method.

## HTTP Data Source Object

{% hint style="info" %}
`dataSourceDescriptor`  : **`url`**

`@type` : **`type.googleapis.com/bytenite.data_source.HttpDataSource`**
{% endhint %}

To configure your HTTP data source, specify a valid URL pointing to the raw resource in your dataSource object, as in the following example:

{% code title="POST /customer/jobs/{jobId}/datasource" %}

```json
{
  "dataSource": {
    "dataSourceDescriptor": "url",
    "params": {
      "@type": "type.googleapis.com/bytenite.data_source.HttpDataSource", 
      "url": "https://storage.googleapis.com/video-test-public/input/bbb.mp4"
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bytenite.com/launch-with-bytenite/data-sources/http.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
